unit TestUnit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ExtCtrls, StdCtrls, LichtKrant, GolfTekst, Vormen, VormKlok, Film,
  ComCtrls, Spin;

type
  TTestForm = class(TForm)
    VormKlok1: TVormKlok;
    LichtKrant1: TLichtKrant;
    GolfTekst1: TGolfTekst;
    Edit1: TEdit;
    Pinocchio: TFilm;
    Groter: TGolfTekst;
    Kleiner: TGolfTekst;
    UpDown1: TUpDown;
    SpinButton1: TSpinButton;
    Vorm1: TVorm;
    Naam: TGolfTekst;
    procedure LichtKrant1Click(Sender: TObject);
    procedure Edit1Change(Sender: TObject);
    procedure GolfTekst1Click(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure UpDown1Click(Sender: TObject; Button: TUDBtnType);
    procedure SpinButton1DownClick(Sender: TObject);
    procedure SpinButton1UpClick(Sender: TObject);
    procedure PinocchioClick(Sender: TObject);
  end;

var
  TestForm: TTestForm;

implementation

{$R *.DFM}

procedure TTestForm.LichtKrant1Click(Sender: TObject);
begin
  With LichtKrant1 do
       If Timer.Enabled and (Richting = NaarRechts) then Stop(true)
       else Begin
          Start;
          If Richting = NaarLinks then Richting := NaarRechts
          else Richting := NaarLinks End
end;

procedure TTestForm.Edit1Change(Sender: TObject);
begin
  GolfTekst1.Caption := Edit1.Text
end;

procedure TTestForm.GolfTekst1Click(Sender: TObject);
begin
  With Sender as TGolfTekst do If Actief then Stop else Start
end;

procedure TTestForm.FormActivate(Sender: TObject);
begin
  Groter.Start; Kleiner.Start
end;

procedure TTestForm.UpDown1Click(Sender: TObject; Button: TUDBtnType);
begin
  With GolfTekst1 do
    Case Button of
    btNext: RuimteTussenLetters := RuimteTussenLetters + 1;
    btPrev: If RuimteTussenLetters > 0 then
               RuimteTussenLetters := RuimteTussenLetters - 1
    End
end;

procedure TTestForm.SpinButton1UpClick(Sender: TObject);
begin
  With GolfTekst1 do
       If AmplitudePercentage > 5 then
          AmplitudePercentage := AmplitudePercentage - 5
end;

procedure TTestForm.SpinButton1DownClick(Sender: TObject);
begin
  With GolfTekst1 do AmplitudePercentage := AmplitudePercentage + 5
end;

procedure TTestForm.PinocchioClick(Sender: TObject);
begin
  With Pinocchio do If FilmLoopt then StopFilm else StartFilm;
  With Naam do If Actief then Stop else Start
end;

end.
